View Issue Details

IDCategoryLast Update
0008017bugs2020-05-16 15:34
ReportermpkAssigned Topaul 
Reproducibilityalways 
Status resolvedResolutionfixed 
Product Version6.0-pre1 
Fixed in Version 
Summary0008017: Audio playback jumps backwards after exiting loop play
DescriptionAfter exiting loop play without stopping transport (keyboard shortcut L), playback continues normally for some seconds, but then audio jumps backwards into the loop range. The GUI playhead is unaffected. Watch attached video to the end to see the problem.
Steps To Reproduce1. Set a loop range
2. Start looping (L)
3. Stop looping (L) and let playback continue for a while
4. At some point, 5-15 seconds later, audio will jump backwards to a point within the loop range.
Additional InformationProbably related to 0008001.

This is with git version: 6.0-pre1-383-gca9e54100a, but also happens on other 6.0-pre1 builds. With both ALSA and JACK backends.
TagsNo tags attached.

Activities

mpk

2020-04-17 11:30

reporter   ~0021370

Video attachment

mpk

2020-04-17 11:36

reporter   ~0021371

Video attachment - try again... - also here: https://youtu.be/F7icAGcHSmg

paul

2020-05-14 05:57

administrator   ~0024142

should be fixed by commit d776415d54d

mpk

2020-05-14 07:26

reporter   ~0024144

Confirmed, thanks.

Issue History

Date Modified Username Field Change
2020-04-17 11:25 mpk New Issue
2020-04-17 11:30 mpk Note Added: 0021370
2020-04-17 11:36 mpk Note Added: 0021371
2020-05-14 05:57 paul Assigned To => paul
2020-05-14 05:57 paul Status new => feedback
2020-05-14 05:57 paul Note Added: 0024142
2020-05-14 07:26 mpk Note Added: 0024144
2020-05-14 07:26 mpk Status feedback => assigned
2020-05-16 15:34 paul Status assigned => resolved
2020-05-16 15:34 paul Resolution open => fixed